Show / Hide Table of Contents

# AsyncPreCullTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncPreCullTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncPreCullTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnPreCullAsyncHandler() |
GetOnPreCullAsyncHandler(CancellationToken) |
OnPreCullAsync() |
OnPreCullAsync(CancellationToken) |

### Methods

#### GetOnPreCullAsyncHandler()

    public IAsyncOnPreCullHandler GetOnPreCullAsyncHandler()

##### Returns

IAsyncOnPreCullHandler

#### GetOnPreCullAsyncHandler(CancellationToken)

    public IAsyncOnPreCullHandler GetOnPreCullAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnPreCullHandler

#### OnPreCullAsync()

    public UniTask OnPreCullAsync()

##### Returns

UniTask

#### OnPreCullAsync(CancellationToken)

    public UniTask OnPreCullAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>